### Method

# ClapperGtk Video add_overlay

#### Declaration [src]

    void
    clapper_gtk_video_add_overlay (
      ClapperGtkVideo* video,
      GtkWidget* widget
    )

#### Description [src]

Add another `GtkWidget` to be overlaid on top of video.

The position at which `widget` is placed is determined from `GtkWidget:halign` and `GtkWidget:valign` properties.

This function will overlay `widget` as-is meaning that widget is responsible for managing its own visablity if needed. If you want to add a `GtkWidget` that will reveal and fade itself automatically when interacting with `video` (e.g. controls panel) you can use `clapper_gtk_video_add_fading_overlay()` function for convenience.

#### Parameters

`widget`

  Type: `GtkWidget`

  A `GtkWidget`.

  The data is owned by the caller of the method.